//////////////////////////////////////////
// IconViewer.cpp
//Copyright (c) 04/09/2021 by BCCSkelton
//////////////////////////////////////////
#include	"IconViewer.h"
#include	"IconViewerProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//ファイルにより起動する場合（g_ByFileフラグを立てる）
	if(Arg.c() > 1)	g_ByFile = TRUE;

	//アクセラレーター登録−InclAccel("(Accelerator ID)")
	IconViewer.InclAccel("IDA_ACCEL");

	//モーダルダイアログとして起動
	IconViewer.DoModal(NULL, "IDD_ICON", IconViewerProc, hInstance);

	return 0;
}
